<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <title>Filmes</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        
        <h:outputStylesheet library="css" name="default.css"/>
       
    </h:head>

    <h:body>
        <ui:composition template="../WEB-INF/template/template.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Cadastro de Filme" >
                    <p:panelGrid columns="2" id="painel">
                        <f:facet name="header" >
                            Dados do Filme
                        </f:facet>
                        <p:outputLabel value="Codigo:" for="codigo" class="pedido"/>
                        <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{filmeBean.codigo}" />
                        <p:outputLabel value="Nome:" for="nome" />
                        <h:panelGroup >
                            <p:inputText id="nome" required="true" requiredMessage="Campo nome é obrigatorio!" value="#{filmeBean.filme.nome}" />
                            <p:message for="nome" />
                        </h:panelGroup>
                        <p:outputLabel value="Descrição:" for="descricao" />
                        <h:panelGroup >
                            <p:inputText id="descricao" required="true" requiredMessage="Campo descrição é obrigatorio!" value="#{filmeBean.filme.descricao}" />
                            <p:message for="descricao" />
                        </h:panelGroup>
                        <p:outputLabel value="Duração:" for="duracao" />
                        <h:panelGroup >
                            <p:inputText id="duracao" required="true" requiredMessage="Campo duração é obrigatorio!" value="#{filmeBean.filme.duracao}"  />
                            <p:message for="duracao" />
                        </h:panelGroup>
                        <p:outputLabel value="Diretor:" for="diretor" />
                        <h:panelGroup >
                            <p:inputText id="diretor" required="true" requiredMessage="Campo diretor é obrigatorio!" value="#{filmeBean.filme.diretor}"  />
                            <p:message for="diretor" />
                        </h:panelGroup>
                        <p:outputLabel value="Elenco:" for="elenco" />
                        <h:panelGroup >
                            <p:inputText id="elenco" required="true" requiredMessage="Campo elenco é obrigatorio!" value="#{filmeBean.filme.elenco}"  />
                            <p:message for="elenco" />
                        </h:panelGroup>
                        <p:outputLabel value="Classificaçaõ:" for="classificacao" />
                        <h:panelGroup >
                            <p:inputText id="classificacao" required="true"  requiredMessage="Campo classificação é obrigatorio!" value="#{filmeBean.filme.classificacao}"  />
                            <p:message for="classificacao" />
                        </h:panelGroup>
                        <p:outputLabel value="Genero:" for="genero" />
                        <h:panelGroup >
                            <p:inputText id="genero" required="true" requiredMessage="Campo genero é obrigatorio!" value="#{filmeBean.filme.genero}"  />
                            <p:message for="genero" />
                        </h:panelGroup>

                        <p:outputLabel value="3D:" for="tresDimencoes" />
                        <h:panelGroup >
                            <h:selectOneRadio id="tresDimencoes" required="true" value="#{filmeBean.filme.tresDimencoes}" >
                                <f:selectItem itemValue="sim" itemLabel="Sim" />
                                <f:selectItem itemValue="nao" itemLabel="Não" />
                            </h:selectOneRadio>
                            <p:message for="tresDimencoes" />
                        </h:panelGroup>

                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus" action="#{filmeBean.salvar}" update="growl,painel" />
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil" action="#{filmeBean.novo}" immediate="true" update="painel" resetValues="true"/>
                        </f:facet>
                        <h:inputHidden value="#{filmeBean.filme.id}" />
                    </p:panelGrid>

                </p:fieldset>   

                <p:spacer height="20px" />
                
            </ui:define>

        </ui:composition>

    </h:body>
</html>
